%define oname   childlabor

Name:       ruby-%{oname}
Version:    0.0.3
Release:    %mkrel 16
Summary:    Put your children to work
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/carllerche/childlabor
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Obsoletes:  ruby-%{oname}-devel < %{version}-%{release}

%description
ChildLabor is a gem that helps manage child processes.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 0.0.3-16.mga9
+ Revision: 1825864
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.3-15.mga8
+ Revision: 1499618
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.3-14.mga7
+ Revision: 1275077
- Mageia 7 Mass Rebuild

* Wed Oct 19 2016 pterjan <pterjan> 0.0.3-13.mga6
+ Revision: 1062506
- Use gem_setup

* Mon Feb 08 2016 umeabot <umeabot> 0.0.3-12.mga6
+ Revision: 944329
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-11.mga5
+ Revision: 747953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-10.mga5
+ Revision: 688760
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.0.3-9.mga4
+ Revision: 561786
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.0.3-8.mga4
+ Revision: 561072
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.0.3-7.mga4
+ Revision: 535304
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.0.3-6.mga4
+ Revision: 481905
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 0.0.3-5.mga4
+ Revision: 476946
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.0.3-4.mga3
+ Revision: 395735
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.0.3-3.mga3
+ Revision: 380670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.0.3-2.mga3
+ Revision: 312739
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 0.0.3-1.mga3
+ Revision: 280699
- imported package ruby-childlabor

